Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_gsn.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_gsn.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_gsn.f90	(revision 5116)
@@ -184,5 +184,5 @@
   ! +  ------
 
-  integer :: dt__SV2
+  INTEGER :: dt__SV2
 
 
@@ -191,97 +191,97 @@
 
   logical :: vector                        !
-  integer :: ikl                           !
-  integer :: isn   ,isnp                   !
-  integer :: istoOK                        !
-  real :: G1_bak,G2_bak                 ! Old Values of G1, G2
-  real :: ro_dry(knonv,      nsno)      ! Dry Density            [g/cm3]
-  real :: etaSno(knonv,      nsno)      ! Liquid Water Content   [g/cm2]
-  real :: SnMass(knonv)                 ! Snow   Mass            [kg/m2]
-  real :: dTsndz                        ! Temperature Gradient
-  real :: sWater                        !        Water Content       [%]
-  real :: exp1Wa                        !
-  real :: dDENDR                        ! Dendricity Increment
-  real :: DENDRn                        ! Normalized Dendricity
-  real :: SPHERn                        ! Normalized Sphericity
-  real :: Wet_OK                        ! Wet Metamorphism Switch
-  real :: OK__DE                        !
-  real :: OK__wd                        ! New G*, from wet Dendritic
-  real :: G1__wd                        ! New G1, from wet Dendritic
-  real :: G2__wd                        ! New G2, from wet Dendritic
-  real :: OKlowT                        !
-  real :: facVap                        !
-  real :: OK_ldd                        !
-  real :: G1_ldd                        !
-  real :: G2_ldd                        !
-  real :: DiamGx                        !
-  real :: DiamOK                        !
-  real :: No_Big                        !
-  real :: dSPHER                        !
-  real :: SPHER0                        !
-  real :: SPHbig                        !
-  real :: G1_lds                        !
-  real :: OK_mdT                        !
-  real :: OKmidT                        !
-  real :: OKhigT                        !
-  real :: OK_mdd                        !
-  real :: G1_mdd                        !
-  real :: G2_mdd                        !
-  real :: G1_mds                        !
-  real :: OK_hdd                        !
-  real :: G1_hdd                        !
-  real :: G2_hdd                        !
-  real :: OK_hds                        !
-  real :: G1_hds                        !
-  real :: T1__OK,T2__OK                 !
-  real :: T3_xOK,T3__OK,T3_nOK          !
-  real :: ro1_OK,ro2_OK                 !
-  real :: dT1_OK,dT2_OK,dT3xOK,dT3_OK   !
-  real :: dT4xOK,dT4_OK,dT4nOK,AngSno   !
-  real :: G2_hds,SphrOK,HISupd          !
-  real :: H1a_OK,H1b_OK,H1__OK          !
-  real :: H23aOK,H23bOK,H23_OK          !
-  real :: H2__OK,H3__OK                 !
-  real :: H45_OK,H4__OK,H5__OK          !
-  real :: ViscSn,OK_Liq,OK_Ang,OKxLiq   !
-  real :: dSnMas,dzsnew,rosnew,rosmax,smb_old,smb_new
-  real :: zn_old,zn_new
-
-  real :: epsi5                         ! Alpha ev67 single precision	
-  real :: vdiam1                        ! Small Grains Min.Diam.[.0001m]
-  real :: vdiam2                        ! Spher.Variat.Max Diam.    [mm]
-  real :: vdiam3                        ! Min.Diam.|Limit Spher.    [mm]
-  real :: vdiam4                        ! Min.Diam.|Viscosity Change
-  real :: vsphe1                        ! Max Sphericity
-  real :: vsphe2                        ! Low T Metamorphism  Coeff.
-  real :: vsphe3                        ! Max.Sphericity (history=1)
-  real :: vsphe4                        ! Min.Sphericity=>history=1
-  real :: vtang1,vtang2,vtang3,vtang4   ! Temperature Contribution
-  real :: vtang5,vtang6,vtang7,vtang8   !
-  real :: vtang9,vtanga,vtangb,vtangc   !
-  real :: vrang1,vrang2                 ! Density     Contribution
-  real :: vgang1,vgang2,vgang3,vgang4   ! Grad(T)     Contribution
-  real :: vgang5,vgang6,vgang7,vgang8   !
-  real :: vgang9,vganga,vgangb,vgangc   !
-  real :: vgran6                        ! Max.Sphericity for Settling
-  real :: vtelv1                        ! Threshold | history = 2, 3
-  real :: vvap1                        ! Vapor Pressure Coefficient
-  real :: vvap2                        ! Vapor Pressure Exponent
-  real :: vgrat1                        ! Boundary weak/mid   grad(T)
-  real :: vgrat2                        ! Boundary mid/strong grad(T)
-  real :: vfi                        ! PHI,         strong grad(T)
-  real :: vvisc1,vvisc2,vvisc3,vvisc4   ! Viscosity Coefficients
-  real :: vvisc5,vvisc6,vvisc7          ! id., wet Snow
-  real :: rovisc                        ! Wet Snow Density  Influence
-  real :: vdz3                        ! Maximum Layer Densification
-  real :: OK__ws                        ! New G2
-  real :: G1__ws                        ! New G1, from wet Spheric
-  real :: G2__ws                        ! New G2, from wet Spheric
-  real :: husi_0,husi_1,husi_2,husi_3   ! Constants for New G2
-  real :: vtail1,vtail2                 ! Constants for New G2
-  real :: frac_j                        ! Time Step            [Day]
-
-  real :: vdent1                       ! Wet Snow Metamorphism
-  integer :: nvdent1                       ! (Coefficients for
-  integer :: nvdent2                       !           Dendricity)
+  INTEGER :: ikl                           !
+  INTEGER :: isn   ,isnp                   !
+  INTEGER :: istoOK                        !
+  REAL :: G1_bak,G2_bak                 ! Old Values of G1, G2
+  REAL :: ro_dry(knonv,      nsno)      ! Dry Density            [g/cm3]
+  REAL :: etaSno(knonv,      nsno)      ! Liquid Water Content   [g/cm2]
+  REAL :: SnMass(knonv)                 ! Snow   Mass            [kg/m2]
+  REAL :: dTsndz                        ! Temperature Gradient
+  REAL :: sWater                        !        Water Content       [%]
+  REAL :: exp1Wa                        !
+  REAL :: dDENDR                        ! Dendricity Increment
+  REAL :: DENDRn                        ! Normalized Dendricity
+  REAL :: SPHERn                        ! Normalized Sphericity
+  REAL :: Wet_OK                        ! Wet Metamorphism Switch
+  REAL :: OK__DE                        !
+  REAL :: OK__wd                        ! New G*, from wet Dendritic
+  REAL :: G1__wd                        ! New G1, from wet Dendritic
+  REAL :: G2__wd                        ! New G2, from wet Dendritic
+  REAL :: OKlowT                        !
+  REAL :: facVap                        !
+  REAL :: OK_ldd                        !
+  REAL :: G1_ldd                        !
+  REAL :: G2_ldd                        !
+  REAL :: DiamGx                        !
+  REAL :: DiamOK                        !
+  REAL :: No_Big                        !
+  REAL :: dSPHER                        !
+  REAL :: SPHER0                        !
+  REAL :: SPHbig                        !
+  REAL :: G1_lds                        !
+  REAL :: OK_mdT                        !
+  REAL :: OKmidT                        !
+  REAL :: OKhigT                        !
+  REAL :: OK_mdd                        !
+  REAL :: G1_mdd                        !
+  REAL :: G2_mdd                        !
+  REAL :: G1_mds                        !
+  REAL :: OK_hdd                        !
+  REAL :: G1_hdd                        !
+  REAL :: G2_hdd                        !
+  REAL :: OK_hds                        !
+  REAL :: G1_hds                        !
+  REAL :: T1__OK,T2__OK                 !
+  REAL :: T3_xOK,T3__OK,T3_nOK          !
+  REAL :: ro1_OK,ro2_OK                 !
+  REAL :: dT1_OK,dT2_OK,dT3xOK,dT3_OK   !
+  REAL :: dT4xOK,dT4_OK,dT4nOK,AngSno   !
+  REAL :: G2_hds,SphrOK,HISupd          !
+  REAL :: H1a_OK,H1b_OK,H1__OK          !
+  REAL :: H23aOK,H23bOK,H23_OK          !
+  REAL :: H2__OK,H3__OK                 !
+  REAL :: H45_OK,H4__OK,H5__OK          !
+  REAL :: ViscSn,OK_Liq,OK_Ang,OKxLiq   !
+  REAL :: dSnMas,dzsnew,rosnew,rosmax,smb_old,smb_new
+  REAL :: zn_old,zn_new
+
+  REAL :: epsi5                         ! Alpha ev67 single precision
+  REAL :: vdiam1                        ! Small Grains Min.Diam.[.0001m]
+  REAL :: vdiam2                        ! Spher.Variat.Max Diam.    [mm]
+  REAL :: vdiam3                        ! Min.Diam.|Limit Spher.    [mm]
+  REAL :: vdiam4                        ! Min.Diam.|Viscosity Change
+  REAL :: vsphe1                        ! Max Sphericity
+  REAL :: vsphe2                        ! Low T Metamorphism  Coeff.
+  REAL :: vsphe3                        ! Max.Sphericity (history=1)
+  REAL :: vsphe4                        ! Min.Sphericity=>history=1
+  REAL :: vtang1,vtang2,vtang3,vtang4   ! Temperature Contribution
+  REAL :: vtang5,vtang6,vtang7,vtang8   !
+  REAL :: vtang9,vtanga,vtangb,vtangc   !
+  REAL :: vrang1,vrang2                 ! Density     Contribution
+  REAL :: vgang1,vgang2,vgang3,vgang4   ! Grad(T)     Contribution
+  REAL :: vgang5,vgang6,vgang7,vgang8   !
+  REAL :: vgang9,vganga,vgangb,vgangc   !
+  REAL :: vgran6                        ! Max.Sphericity for Settling
+  REAL :: vtelv1                        ! Threshold | history = 2, 3
+  REAL :: vvap1                        ! Vapor Pressure Coefficient
+  REAL :: vvap2                        ! Vapor Pressure Exponent
+  REAL :: vgrat1                        ! Boundary weak/mid   grad(T)
+  REAL :: vgrat2                        ! Boundary mid/strong grad(T)
+  REAL :: vfi                        ! PHI,         strong grad(T)
+  REAL :: vvisc1,vvisc2,vvisc3,vvisc4   ! Viscosity Coefficients
+  REAL :: vvisc5,vvisc6,vvisc7          ! id., wet Snow
+  REAL :: rovisc                        ! Wet Snow Density  Influence
+  REAL :: vdz3                        ! Maximum Layer Densification
+  REAL :: OK__ws                        ! New G2
+  REAL :: G1__ws                        ! New G1, from wet Spheric
+  REAL :: G2__ws                        ! New G2, from wet Spheric
+  REAL :: husi_0,husi_1,husi_2,husi_3   ! Constants for New G2
+  REAL :: vtail1,vtail2                 ! Constants for New G2
+  REAL :: frac_j                        ! Time Step            [Day]
+
+  REAL :: vdent1                       ! Wet Snow Metamorphism
+  INTEGER :: nvdent1                       ! (Coefficients for
+  INTEGER :: nvdent2                       !           Dendricity)
 
   ! +--Snow Properties: IO
@@ -679,5 +679,5 @@
 
   !XF
-  if(G1snSV(ikl,isn)<0.1) &
+  IF(G1snSV(ikl,isn)<0.1) &
         G2_hds = G2snSV(ikl,isn) + 1.d1 *AngSno*vfi     *frac_j
   !XF
@@ -739,5 +739,5 @@
   ! +  ~~~~~~~~~~~~~~~~~~~
   ! #vp     IF          (isn    .le.     isnoSV(ikl))
-  ! #vp.    write(47,471)isn            ,isnoSV(ikl)                    ,
+  ! #vp.    WRITE(47,471)isn            ,isnoSV(ikl)                    ,
   ! #vp.                 TsisSV(ikl,isn),ro__SV(ikl,isn),eta_SV(ikl,isn),
   ! #vp.                 G1_bak         ,G2_bak         ,istoSV(ikl,isn),
@@ -860,5 +860,5 @@
   ! #wp.                             .AND.istoSV(ikl,isn).eq.     0)
   ! #wp.    THEN
-  ! #wp       write(6,*) ikl,isn,' G1,G2,hist,OK_Ang  ',
+  ! #wp       WRITE(6,*) ikl,isn,' G1,G2,hist,OK_Ang  ',
   ! #wp.          G1snSV(ikl,isn), G2snSV(ikl,isn),istoSV(ikl,isn),OK_Ang
   ! #wp       stop "Grains anguleux mal d?finis"
@@ -907,5 +907,5 @@
 
     isn=1
-    if (dzsnSV(ikl,isn)>0.and.ro__SV(ikl,isn)>0) then
+    if (dzsnSV(ikl,isn)>0.and.ro__SV(ikl,isn)>0) THEN
     dzsnSV(ikl,isn) = dzsnSV(ikl,isn) +0.9999*(smb_old-smb_new) &
           / ro__SV(ikl,isn)
@@ -923,3 +923,3 @@
 
 
-end subroutine sisvat_gsn
+END SUBROUTINE sisvat_gsn
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5116)
@@ -61,5 +61,5 @@
   use VARxSV
   use VARySV
-  use surface_data, only: is_ok_slush,opt_runoff_ac
+  use surface_data, ONLY: is_ok_slush,opt_runoff_ac
 
 
@@ -86,47 +86,47 @@
   ! +  ==================
 
-  integer :: ikl   ,isn                    !
-  integer :: nh                            ! Non erodible Snow: up.lay.Index
-  integer :: LayrOK                        ! 1 (0)  if In(Above) Snow Pack
-  integer :: k_face                        ! 1 (0)  if Crystal(no) faceted
-  integer :: LastOK                        ! 1 ==>  1! Snow Layer
-  integer :: NOLayr                        ! 1     Layer  Update
-  integer :: noSnow(knonv)                 ! Nb of Layers Updater
-  integer :: kSlush                        ! Slush Switch
-  real :: dTSnow                        ! Temperature                  [C]
-  real :: EExdum(knonv)                 ! Energy in Excess when no Snow
-  real :: OKmelt                        ! 1 (0)  if        (no) Melting
-  real :: EnMelt                        ! Energy in excess, for Melting
-  real :: SnHLat                        ! Energy consumed   in  Melting
-  real :: AdEnrg,B_Enrg                 ! Additional Energy from  Vapor
-  real :: dzVap0,dzVap1                 ! Vaporized Thickness          [m]
-  real :: dzMelt(knonv)                 ! Melted    Thickness          [m]
-  real :: rosDry                        ! Snow volumic Mass if no Water in
-  real :: PorVol                        ! Pore volume
-  real :: PClose                        ! Pore Hole Close OFF Switch
-  real :: SGDiam                        !      Snow Grain Diameter
-  real :: SGDmax                        ! Max. Snow Grain Diameter
-  real :: rWater                        ! Retained Water           [kg/m2]
-  real :: drrNEW                        ! New available Water      [kg/m2]
-  real :: rdzNEW                        ! Snow          Mass       [kg/m2]
-  real :: rdzsno                        ! Snow          Mass       [kg/m2]
-  real :: EnFrez                        ! Energy Release    in  Freezing
-  real :: WaFrez                        ! Water  consumed   in  Melting
-  real :: RapdOK                        ! 1. ==> Snow melts rapidly
-  real :: ThinOK                        ! 1. ==> Snow Layer is thin
-  real :: dzepsi                        ! Minim. Snow Layer Thickness (!)
-  real :: dz_Min                        ! Minim. Snow Layer Thickness
-  real :: z_Melt                        ! Last (thin) Layer Melting
-  real :: rusnew                        ! Surficial Water Thickness   [mm]
-  real :: zWater                        ! Max Slush Water Thickness   [mm]
-  real :: zSlush                        !     Slush Water Thickness   [mm]
-  real :: ro_new                        ! New Snow/ice  Density    [kg/m3]
-  real :: zc,zt                         ! Non erod.Snow Thickness[mm w.e.]
-  real :: rusnSV0(knonv)
-  real :: Tsave
+  INTEGER :: ikl   ,isn                    !
+  INTEGER :: nh                            ! Non erodible Snow: up.lay.Index
+  INTEGER :: LayrOK                        ! 1 (0)  if In(Above) Snow Pack
+  INTEGER :: k_face                        ! 1 (0)  if Crystal(no) faceted
+  INTEGER :: LastOK                        ! 1 ==>  1! Snow Layer
+  INTEGER :: NOLayr                        ! 1     Layer  Update
+  INTEGER :: noSnow(knonv)                 ! Nb of Layers Updater
+  INTEGER :: kSlush                        ! Slush Switch
+  REAL :: dTSnow                        ! Temperature                  [C]
+  REAL :: EExdum(knonv)                 ! Energy in Excess when no Snow
+  REAL :: OKmelt                        ! 1 (0)  if        (no) Melting
+  REAL :: EnMelt                        ! Energy in excess, for Melting
+  REAL :: SnHLat                        ! Energy consumed   in  Melting
+  REAL :: AdEnrg,B_Enrg                 ! Additional Energy from  Vapor
+  REAL :: dzVap0,dzVap1                 ! Vaporized Thickness          [m]
+  REAL :: dzMelt(knonv)                 ! Melted    Thickness          [m]
+  REAL :: rosDry                        ! Snow volumic Mass if no Water in
+  REAL :: PorVol                        ! Pore volume
+  REAL :: PClose                        ! Pore Hole Close OFF Switch
+  REAL :: SGDiam                        !      Snow Grain Diameter
+  REAL :: SGDmax                        ! Max. Snow Grain Diameter
+  REAL :: rWater                        ! Retained Water           [kg/m2]
+  REAL :: drrNEW                        ! New available Water      [kg/m2]
+  REAL :: rdzNEW                        ! Snow          Mass       [kg/m2]
+  REAL :: rdzsno                        ! Snow          Mass       [kg/m2]
+  REAL :: EnFrez                        ! Energy Release    in  Freezing
+  REAL :: WaFrez                        ! Water  consumed   in  Melting
+  REAL :: RapdOK                        ! 1. ==> Snow melts rapidly
+  REAL :: ThinOK                        ! 1. ==> Snow Layer is thin
+  REAL :: dzepsi                        ! Minim. Snow Layer Thickness (!)
+  REAL :: dz_Min                        ! Minim. Snow Layer Thickness
+  REAL :: z_Melt                        ! Last (thin) Layer Melting
+  REAL :: rusnew                        ! Surficial Water Thickness   [mm]
+  REAL :: zWater                        ! Max Slush Water Thickness   [mm]
+  REAL :: zSlush                        !     Slush Water Thickness   [mm]
+  REAL :: ro_new                        ! New Snow/ice  Density    [kg/m3]
+  REAL :: zc,zt                         ! Non erod.Snow Thickness[mm w.e.]
+  REAL :: rusnSV0(knonv)
+  REAL :: Tsave
 
   ! +--OUTPUT of SISVAT Trace Statistics (see assignation in PHY_SISVAT)
   ! +  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-  integer :: isnnew,isinew,isnUpD,isnitr
+  INTEGER :: isnnew,isinew,isnUpD,isnitr
 
   ! OUTPUT in SISVAT at specified i,j,k,n (see assignation in PHY_SISVAT)
@@ -358,5 +358,5 @@
 
   !XF
-      if(ro__SV(ikl,isn) >= roCdSV.and.ro__SV(ikl,1)<900) &
+      IF(ro__SV(ikl,isn) >= roCdSV.and.ro__SV(ikl,1)<900) &
             PClose = min(0.50,PClose * &
             (1.-(ro_ice-ro__SV(ikl,isn))/(ro_ice-roCdSV)))
@@ -364,12 +364,12 @@
       PClose = max(0.,min(1.,PClose))
 
-      if(isn==1) then
+      IF(isn==1) THEN
            PClose = 1
        ispiSV(ikl)= max(ispiSV(ikl),1)
       endif
 
-      if(drr_SV(ikl)    >0  .and.TsisSV(ikl,isn)>273.14) then
+      IF(drr_SV(ikl)    >0  .and.TsisSV(ikl,isn)>273.14) THEN
        if((ro__SV(ikl,isn)>900.and.ro__SV(ikl,isn)<920).or. &
-             ro__SV(ikl,isn)>950) then
+             ro__SV(ikl,isn)>950) THEN
          dzsnSV(ikl,isn) = dzsnSV(ikl,isn)*ro__SV(ikl,isn)/ro_ice
          ro__SV(ikl,isn) = ro_ice
@@ -384,5 +384,5 @@
   !    .      TsisSV(ikl,isn)  >273.14 .and.
   !    .      TsisSV(ikl,isn+1)<273.15 .and.
-  !    .      drr_SV(ikl)      >0)     then
+  !    .      drr_SV(ikl)      >0)     THEN
       !  TsisSV(ikl,isn)=273.14
       !  PClose = 1
@@ -492,6 +492,6 @@
       rusnew      = rusnSV(ikl) * SWf_SV(ikl)
 
-      if(isnoSV(ikl)<=1 .OR. opt_runoff_ac) rusnew = 0.
-      !if(ivgtSV(ikl)>=1) rusnew = 0.
+      IF(isnoSV(ikl)<=1 .OR. opt_runoff_ac) rusnew = 0.
+      !IF(ivgtSV(ikl)>=1) rusnew = 0.
 
   ! #EU                        rusnew = 0.
@@ -525,8 +525,8 @@
      ENDDO
 
-     if(zt<0.005+(TaT_SV(ikl)-TfSnow)/1000..and. &
+     IF(zt<0.005+(TaT_SV(ikl)-TfSnow)/1000..and. &
            isnoSV(ikl)             >0         .and. &
            TaT_SV(ikl)             >=TfSnow   .and. &
-           istoSV(ikl,isnoSV(ikl)) >1       ) then
+           istoSV(ikl,isnoSV(ikl)) >1       ) THEN
       DO isn=1,isnoSV(ikl)
        drr_SV(ikl)    = drr_SV(ikl) &
@@ -562,5 +562,5 @@
             +zSlush                           ) & !
             / max(dzsnSV(ikl,isn) , epsi           ) !
-      if(ro_new<ro_Ice+20) then ! MAX 940kg/m3         !
+      IF(ro_new<ro_Ice+20) then ! MAX 940kg/m3         !
        rusnSV(ikl)  = rusnSV(ikl)          - zSlush    ! [mm] OR [kg/m2]
        RuofSV(ikl,4)= max(0.,RuofSV(ikl,4) - zSlush/dt__SV)
@@ -715,3 +715,3 @@
 
 
-end subroutine sisvat_qsn
+END SUBROUTINE sisvat_qsn
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qso.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qso.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qso.f90	(revision 5116)
@@ -109,7 +109,7 @@
   ! +  ==================
 
-  integer :: isl   ,jsl   ,ist   ,ikl      !
-  integer :: ikm   ,ikp   ,ik0   ,ik1      !
-  integer :: ist__s,ist__w                 ! Soil/Water Body Identifier
+  INTEGER :: isl   ,jsl   ,ist   ,ikl      !
+  INTEGER :: ikm   ,ikp   ,ik0   ,ik1      !
+  INTEGER :: ist__s,ist__w                 ! Soil/Water Body Identifier
   ! #BP real      z0soil                        ! Soil Surface Bumps Height  [m]
   ! #BP real      z_Bump                        !(Partly)Bumpy Layers Height [m]
@@ -118,27 +118,27 @@
 
   ! #BP real      etBump(knonv)                 ! Bumps Layer Averaged Humidity
-  real :: etaMid                        ! Layer Interface's Humidity
-  real :: Dhydif                        ! Hydraulic Diffusivity   [m2/s]
-  real :: eta__f                        ! Water Front Soil Water Content
-  real :: Khyd_f                        ! Water Front Hydraulic Conduct.
-  real :: Khydav                        ! Hydraulic Conductivity   [m/s]
-  real :: WgFlow                        ! Water gravitat. Flux [kg/m2/s]
-  real :: Wg_MAX                        ! Water MAX.grav. Flux [kg/m2/s]
-  real :: SatRat                        ! Saturation      Flux [kg/m2/s]
-  real :: WExces                        ! Saturat. Excess Flux [kg/m2/s]
-  real :: SoRnOF(knonv)                 ! Soil     Run    OFF
-  real :: Dhydtz(knonv,-nsol:0)         ! Dhydif * dt / dz           [m]
-  real :: Elem_A,Elem_B,Elem_C          !   Diagonal Coefficients
-  real :: Diag_A(knonv,-nsol:0)         ! A Diagonal
-  real :: Diag_B(knonv,-nsol:0)         ! B Diagonal
-  real :: Diag_C(knonv,-nsol:0)         ! C Diagonal
-  real :: Term_D(knonv,-nsol:0)         !   Independant Term
-  real :: Aux__P(knonv,-nsol:0)         ! P Auxiliary Variable
-  real :: Aux__Q(knonv,-nsol:0)         ! Q Auxiliary Variable
-  real :: etaaux(knonv,-nsol:-nsol+1)   ! Soil Water Content     [m3/m3]
-  real :: FreeDr                        ! Free Drainage Fraction (actual)
-  real :: FreeD0                        ! Free Drainage Fraction (1=Full)
-  real :: aKdtSV3( 0:nsot, 0:nkhy)      ! Khyd=a*eta+b: a * dt
-  real :: bKdtSV3( 0:nsot, 0:nkhy)      ! Khyd=a*eta+b: b * dt
+  REAL :: etaMid                        ! Layer Interface's Humidity
+  REAL :: Dhydif                        ! Hydraulic Diffusivity   [m2/s]
+  REAL :: eta__f                        ! Water Front Soil Water Content
+  REAL :: Khyd_f                        ! Water Front Hydraulic Conduct.
+  REAL :: Khydav                        ! Hydraulic Conductivity   [m/s]
+  REAL :: WgFlow                        ! Water gravitat. Flux [kg/m2/s]
+  REAL :: Wg_MAX                        ! Water MAX.grav. Flux [kg/m2/s]
+  REAL :: SatRat                        ! Saturation      Flux [kg/m2/s]
+  REAL :: WExces                        ! Saturat. Excess Flux [kg/m2/s]
+  REAL :: SoRnOF(knonv)                 ! Soil     Run    OFF
+  REAL :: Dhydtz(knonv,-nsol:0)         ! Dhydif * dt / dz           [m]
+  REAL :: Elem_A,Elem_B,Elem_C          !   Diagonal Coefficients
+  REAL :: Diag_A(knonv,-nsol:0)         ! A Diagonal
+  REAL :: Diag_B(knonv,-nsol:0)         ! B Diagonal
+  REAL :: Diag_C(knonv,-nsol:0)         ! C Diagonal
+  REAL :: Term_D(knonv,-nsol:0)         !   Independant Term
+  REAL :: Aux__P(knonv,-nsol:0)         ! P Auxiliary Variable
+  REAL :: Aux__Q(knonv,-nsol:0)         ! Q Auxiliary Variable
+  REAL :: etaaux(knonv,-nsol:-nsol+1)   ! Soil Water Content     [m3/m3]
+  REAL :: FreeDr                        ! Free Drainage Fraction (actual)
+  REAL :: FreeD0                        ! Free Drainage Fraction (1=Full)
+  REAL :: aKdtSV3( 0:nsot, 0:nkhy)      ! Khyd=a*eta+b: a * dt
+  REAL :: bKdtSV3( 0:nsot, 0:nkhy)      ! Khyd=a*eta+b: b * dt
 
   ! Water (Mass) Budget
@@ -377,5 +377,5 @@
       ikp      = nkhy *  eta_SV(ikl,isl+1) / etadSV(ist)
 
-      if(ikm<0.or.ik0<0.or.ikp<0)then
+      IF(ikm<0.or.ik0<0.or.ikp<0)THEN
        print *,"CRASH1 in sisvat_qso.f on pixel (i,j,n)", &
              ii__SV(ikl),jj__SV(ikl),nn__SV(ikl)
@@ -423,5 +423,5 @@
       ikp      = nkhy *  eta_SV(ikl,isl+1) / etadSV(ist)
 
-      if(ik0<0.or.ikp<0)then
+      IF(ik0<0.or.ikp<0)THEN
        print *,"CRASH2 in sisvat_qso.f on pixel (i,j,n)", &
              ii__SV(ikl),jj__SV(ikl),nn__SV(ikl)
@@ -550,5 +550,5 @@
   ! +--IO, for Verification
   ! +  ~~~~~~~~~~~~~~~~~~~~
-  ! #WR     write(6,6010)
+  ! #WR     WRITE(6,6010)
   DO   isl= 0,-nsol,-1
     DO ikl= 1,knonv
@@ -557,5 +557,5 @@
       Khydsv(ikl,isl)   =(aKdtSV3(ist,ikp)  *eta_SV(ikl,isl) &
             +bKdtSV3(ist,ikp)) *2.0/dt__SV
-  ! #WR     write(6,6011) ikl,isl,eta_SV(ikl,isl)*1.e3,
+  ! #WR     WRITE(6,6011) ikl,isl,eta_SV(ikl,isl)*1.e3,
   ! #WR.                  ikp,    aKdtSV3(ist,ikp),bKdtSV3(ist,ikp),
   ! #WR.                          Khydsv(ikl,isl)
@@ -706,3 +706,3 @@
 
 
-end subroutine sisvat_qso
+END SUBROUTINE sisvat_qso
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5116)
@@ -67,5 +67,5 @@
   use VARySV
   use VARtSV
-  USE surface_data, only: iflag_albcalc,correc_alb
+  USE surface_data, ONLY: iflag_albcalc,correc_alb
 
   IMPLICIT NONE
@@ -73,36 +73,36 @@
 
   ! + -- INPUT
-  integer :: jjtime
+  INTEGER :: jjtime
 
   ! +--Internal Variables
   ! +  ==================
 
-  real :: coalb1(knonv)                      ! weighted Coalbedo, Vis.
-  real :: coalb2(knonv)                      ! weighted Coalbedo, nIR 1
-  real :: coalb3(knonv)                      ! weighted Coalbedo, nIR 2
-  real :: coalbm                             ! weighted Coalbedo, mean
-  real :: sExt_1(knonv)                      ! Extinction Coeff., Vis.
-  real :: sExt_2(knonv)                      ! Extinction Coeff., nIR 1
-  real :: sExt_3(knonv)                      ! Extinction Coeff., nIR 2
-  real :: SnOpSV(knonv,      nsno)           ! Snow Grain optical Size
+  REAL :: coalb1(knonv)                      ! weighted Coalbedo, Vis.
+  REAL :: coalb2(knonv)                      ! weighted Coalbedo, nIR 1
+  REAL :: coalb3(knonv)                      ! weighted Coalbedo, nIR 2
+  REAL :: coalbm                             ! weighted Coalbedo, mean
+  REAL :: sExt_1(knonv)                      ! Extinction Coeff., Vis.
+  REAL :: sExt_2(knonv)                      ! Extinction Coeff., nIR 1
+  REAL :: sExt_3(knonv)                      ! Extinction Coeff., nIR 2
+  REAL :: SnOpSV(knonv,      nsno)           ! Snow Grain optical Size
   ! #AG real      agesno
 
-  integer :: isn   ,ikl   ,isn1, i
-  real :: sbeta1,sbeta2,sbeta3,sbeta4,sbeta5
-  real :: AgeMax,AlbMin,HSnoSV,HIceSV,doptmx,SignG1,Sph_OK
-  real :: dalbed,dalbeS,dalbeW
-  real :: bsegal,czemax,csegal,csza
-  real :: RoFrez,DiffRo,SignRo,SnowOK,OpSqrt
-  real :: albSn1,albIc1,a_SnI1,a_SII1
-  real :: albSn2,albIc2,a_SnI2,a_SII2
-  real :: albSn3,albIc3,a_SnI3,a_SII3
-  real :: albSno,albIce,albSnI,albSII,albWIc,albmax
-  real :: doptic,Snow_H,SIce_H,SnownH,SIcenH
-  real :: exarg1,exarg2,exarg3,sign_0,sExt_0
-  real :: albedo_old,albCor
-  real :: ro_ave,dz_ave,minalb
-  real :: l1min,l1max,l2min,l2max,l3min,l3max
-  real :: l6min(6), l6max(6), albSn6(6), a_SII6(6)
-  real :: lmintmp,lmaxtmp,albtmp
+  INTEGER :: isn   ,ikl   ,isn1, i
+  REAL :: sbeta1,sbeta2,sbeta3,sbeta4,sbeta5
+  REAL :: AgeMax,AlbMin,HSnoSV,HIceSV,doptmx,SignG1,Sph_OK
+  REAL :: dalbed,dalbeS,dalbeW
+  REAL :: bsegal,czemax,csegal,csza
+  REAL :: RoFrez,DiffRo,SignRo,SnowOK,OpSqrt
+  REAL :: albSn1,albIc1,a_SnI1,a_SII1
+  REAL :: albSn2,albIc2,a_SnI2,a_SII2
+  REAL :: albSn3,albIc3,a_SnI3,a_SII3
+  REAL :: albSno,albIce,albSnI,albSII,albWIc,albmax
+  REAL :: doptic,Snow_H,SIce_H,SnownH,SIcenH
+  REAL :: exarg1,exarg2,exarg3,sign_0,sExt_0
+  REAL :: albedo_old,albCor
+  REAL :: ro_ave,dz_ave,minalb
+  REAL :: l1min,l1max,l2min,l2max,l3min,l3max
+  REAL :: l6min(6), l6max(6), albSn6(6), a_SII6(6)
+  REAL :: lmintmp,lmaxtmp,albtmp
 
   ! +--Local   DATA
@@ -464,6 +464,6 @@
     ! prescription for each time step with NEMO values
 
-  ! #AO      if (LSmask(ikl) .eq. 0 .and. coupling_ao .eq. .TRUE.) then
-  ! #AO       if (AOmask(ikl) .eq. 0) then
+  ! #AO      if (LSmask(ikl) .eq. 0 .and. coupling_ao .eq. .TRUE.) THEN
+  ! #AO       if (AOmask(ikl) .eq. 0) THEN
   ! #AO       albisv(ikl) =  (1.-AOmask(ikl))* albAOsisv(ikl)
   ! #AO.                    +(AOmask(ikl)*albisv(ikl))
@@ -569,5 +569,5 @@
 
 
-end subroutine snoptp
+END SUBROUTINE snoptp
 
 
